import type { NobjcObject } from "objc-js";
import type { _PHASEStreamNode } from "./PHASEStreamNode.js";
export declare class _PHASEPullStreamNode extends _PHASEStreamNode {
    static alloc(): _PHASEPullStreamNode;
    static new(): _PHASEPullStreamNode;
    init(): _PHASEPullStreamNode;
    /**
     * @property renderBlock @abstract A property to set the render block callback that will render the samplesIW @discussion The renderBlock must be set before the PHASESoundEvent is prepared or started. The callback will be called from a high priority realtime thread. Your implementation must be performant and not perform any realtime unsafe operations such as lock mutexes or allocate memory.
     */
    renderBlock(): (arg0: NobjcObject, arg1: NobjcObject, arg2: number, arg3: NobjcObject) => number;
    setRenderBlock$(value: (arg0: NobjcObject, arg1: NobjcObject, arg2: number, arg3: NobjcObject) => number): void;
}
